Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
                          org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenChildContainer, GenCommonBase, GenContainerBase, GenLinkEnd, GenNode

Direct Known Subclasses:
  GenChildNodeImpl, GenTopLevelNodeImpl

    public abstract class GenNodeImpl

extends GenChildContainerImpl
implements GenNode

An implementation of the model object 'Gen Node'.

The following features are implemented:

- `Gen Outgoing Links`
- `Gen Incoming Links`
- `Model Facet`
- `Labels`
- `Compartments`
- `Primary Drag Edit Policy Qualified Class Name`
- `Graphical Node Edit Policy Class Name`
- `Create Command Class Name`
- `Reoriented Incoming Links`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<GenCompartment>` `compartments` The cached value of the '`Compartments`' reference list
`protected static java.lang.String` `CREATE_COMMAND_CLASS_NAME_EDEFAULT` The default value of the '`Create Command Class Name`' attribute
`protected java.lang.String` `createCommandClassName` The cached value of the '`Create Command Class Name`' attribute
`protected static java.lang.String` `GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Graphical Node Edit Policy Class Name`' attribute
`protected java.lang.String` `graphicalNodeEditPolicyClassName` The cached value of the '`Graphical Node Edit Policy Class Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenNodeLabel>` `labels` The cached value of the '`Labels`' containment reference list
`protected TypeModelFacet` `modelFacet` The cached value of the '`Model Facet`' containment reference
`protected static java.lang.String` `PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME_EDEFAULT` The default value of the '`Primary Drag Edit Policy Qualified Class Name`' attribute
`protected java.lang.String` `primaryDragEditPolicyQualifiedClassName` The cached value of the '`Primary Drag Edit Policy Qualified Class Name`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT, canonicalEditPolicyClassName, childNodes`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenNodeImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetModelFacet(TypeModelFacet newModelFacet, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<GenNode>` `getAssistantNodes()`
`java.lang.String` `getClassNamePrefix()`
`org.eclipse.emf.common.util.EList<GenCompartment>` `getCompartments()`
`java.lang.String` `getCreateCommandClassName()` Returns the value of the 'Create Command Class Name' attribute
`java.lang.String` `getCreateCommandClassNameGen()`
`java.lang.String` `getCreateCommandQualifiedClassName()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getDomainMetaClass()`
`org.eclipse.emf.common.util.EList<GenLink>` `getGenIncomingLinks()`
`org.eclipse.emf.common.util.EList<GenLink>` `getGenOutgoingLinks()`
`java.lang.String` `getGraphicalNodeEditPolicyClassName()` Returns the value of the 'Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getGraphicalNodeEditPolicyClassNameGen()`
`java.lang.String` `getGraphicalNodeEditPolicyQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenNodeLabel>` `getLabels()`
`TypeModelFacet` `getModelFacet()`
`java.lang.String` `getPrimaryDragEditPolicyQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenLink>` `getReorientedIncomingLinks()`
`boolean` `isSansDomain()`
`void` `setCreateCommandClassName(java.lang.String newCreateCommandClassName)`
`void` `setGraphicalNodeEditPolicyClassName(java.lang.String newGraphicalNodeEditPolicyClassName)`
`void` `setModelFacet(TypeModelFacet newModelFacet)`
`void` `setPrimaryDragEditPolicyQualifiedClassName(java.lang.String newPrimaryDragEditPolicyQualifiedClassName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyClassNameGen, getCanonicalEditPolicyQualifiedClassName, getChildNodes, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getBehaviour, getBehaviour, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### modelFacet

    protected TypeModelFacet modelFacet

  The cached value of the '`Model Facet`' containment reference.

  See Also:
    `getModelFacet()`
  ** Generated **
  Ordered:

### labels

    protected org.eclipse.emf.common.util.EList<GenNodeLabel> labels

  The cached value of the '`Labels`' containment reference list.

  See Also:
    `getLabels()`
  ** Generated **
  Ordered:

### compartments

    protected org.eclipse.emf.common.util.EList<GenCompartment> compartments

  The cached value of the '`Compartments`' reference list.

  See Also:
    `getCompartments()`
  ** Generated **
  Ordered:

### PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME_EDEFAULT

    protected static final java.lang.String PRIMARY_DRAG_EDIT_POLICY_QUALIFIED_CLASS_NAME_EDEFAULT

  The default value of the '`Primary Drag Edit Policy Qualified Class Name`' attribute.

  See Also:
    `getPrimaryDragEditPolicyQualifiedClassName()`
  ** Generated **
  Ordered:

### primaryDragEditPolicyQualifiedClassName

    protected java.lang.String primaryDragEditPolicyQualifiedClassName

  The cached value of the '`Primary Drag Edit Policy Qualified Class Name`' attribute.

  See Also:
    `getPrimaryDragEditPolicyQualifiedClassName()`
  ** Generated **
  Ordered:

### GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Graphical Node Edit Policy Class Name`' attribute.

  See Also:
    `getGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Ordered:

### graphicalNodeEditPolicyClassName

    protected java.lang.String graphicalNodeEditPolicyClassName

  The cached value of the '`Graphical Node Edit Policy Class Name`' attribute.

  See Also:
    `getGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Ordered:

### CREATE_COMMAND_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CREATE_COMMAND_CLASS_NAME_EDEFAULT

  The default value of the '`Create Command Class Name`' attribute.

  See Also:
    `getCreateCommandClassName()`
  ** Generated **
  Ordered:

### createCommandClassName

    protected java.lang.String createCommandClassName

  The cached value of the '`Create Command Class Name`' attribute.

  See Also:
    `getCreateCommandClassName()`
  ** Generated **
  Ordered:

Constructor Detail

### GenNodeImpl

    protected GenNodeImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenChildContainerImpl`
  ** Generated **

### getGenOutgoingLinks

    public org.eclipse.emf.common.util.EList<GenLink> getGenOutgoingLinks()

  Specified by:
    `getGenOutgoingLinks` in interface `GenLinkEnd`
  Returns:
    the value of the 'Gen Outgoing Links' reference list.
  See Also:
    `GMFGenPackage.getGenLinkEnd_GenOutgoingLinks()`
  ** Generated **
    NOT

### getGenIncomingLinks

    public org.eclipse.emf.common.util.EList<GenLink> getGenIncomingLinks()

  Specified by:
    `getGenIncomingLinks` in interface `GenLinkEnd`
  Returns:
    the value of the 'Gen Incoming Links' reference list.
  See Also:
    `GMFGenPackage.getGenLinkEnd_GenIncomingLinks()`
  ** Generated **
    NOT

### getDomainMetaClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getDomainMetaClass()

  Specified by:
    `getDomainMetaClass` in interface `GenNode`
  ** Generated **
    NOT

### getGraphicalNodeEditPolicyQualifiedClassName

    public java.lang.String getGraphicalNodeEditPolicyQualifiedClassName()

  Specified by:
    `getGraphicalNodeEditPolicyQualifiedClassName` in interface `GenNode`
  ** Generated **
    NOT

### getCreateCommandQualifiedClassName

    public java.lang.String getCreateCommandQualifiedClassName()

  Specified by:
    `getCreateCommandQualifiedClassName` in interface `GenNode`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenChildContainerImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenChildContainerImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenChildContainerImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenChildContainerImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenChildContainerImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenChildContainerImpl`
  ** Generated **

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getLabels

    public org.eclipse.emf.common.util.EList<GenNodeLabel> getLabels()

  Specified by:
    `getLabels` in interface `GenNode`
  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenNode_Labels()`, `GenNodeLabel.getNode()`
  ** Generated **

### getCompartments

    public org.eclipse.emf.common.util.EList<GenCompartment> getCompartments()

  Specified by:
    `getCompartments` in interface `GenNode`
  Returns:
    the value of the 'Compartments' reference list.
  See Also:
    `GMFGenPackage.getGenNode_Compartments()`, `GenCompartment.getNode()`
  ** Generated **

### getPrimaryDragEditPolicyQualifiedClassName

    public java.lang.String getPrimaryDragEditPolicyQualifiedClassName()

  Specified by:
    `getPrimaryDragEditPolicyQualifiedClassName` in interface `GenNode`
  Returns:
    the value of the 'Primary Drag Edit Policy Qualified Class Name' attribute.
  See Also:
    `GenNode.setPrimaryDragEditPolicyQualifiedClassName(String)`, `GMFGenPackage.getGenNode_PrimaryDragEditPolicyQualifiedClassName()`
  ** Generated **

### setPrimaryDragEditPolicyQualifiedClassName

    public void setPrimaryDragEditPolicyQualifiedClassName(java.lang.String newPrimaryDragEditPolicyQualifiedClassName)

  Specified by:
    `setPrimaryDragEditPolicyQualifiedClassName` in interface `GenNode`
  Parameters:
    `newPrimaryDragEditPolicyQualifiedClassName` - the new value of the 'Primary Drag Edit Policy Qualified Class Name' attribute.
  See Also:
    `GenNode.getPrimaryDragEditPolicyQualifiedClassName()`
  ** Generated **

### getGraphicalNodeEditPolicyClassNameGen

    public java.lang.String getGraphicalNodeEditPolicyClassNameGen()

  ** Generated **

### getGraphicalNodeEditPolicyClassName

    public java.lang.String getGraphicalNodeEditPolicyClassName()

  Description copied from interface: `GenNode`
  Returns the value of the 'Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getGraphicalNodeEditPolicyClassName` in interface `GenNode`
  Returns:
    the value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `GenNode.setGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getGenNode_GraphicalNodeEditPolicyClassName()`

### setGraphicalNodeEditPolicyClassName

    public void setGraphicalNodeEditPolicyClassName(java.lang.String newGraphicalNodeEditPolicyClassName)

  Specified by:
    `setGraphicalNodeEditPolicyClassName` in interface `GenNode`
  Parameters:
    `newGraphicalNodeEditPolicyClassName` - the new value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `GenNode.getGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getCreateCommandClassNameGen

    public java.lang.String getCreateCommandClassNameGen()

  ** Generated **

### getCreateCommandClassName

    public java.lang.String getCreateCommandClassName()

  Description copied from interface: `GenNode`
  Returns the value of the 'Create Command Class Name' attribute.

  If the meaning of the 'Create Command Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateCommandClassName` in interface `GenNode`
  Returns:
    the value of the 'Create Command Class Name' attribute.
  See Also:
    `GenNode.setCreateCommandClassName(String)`, `GMFGenPackage.getGenNode_CreateCommandClassName()`

### setCreateCommandClassName

    public void setCreateCommandClassName(java.lang.String newCreateCommandClassName)

  Specified by:
    `setCreateCommandClassName` in interface `GenNode`
  Parameters:
    `newCreateCommandClassName` - the new value of the 'Create Command Class Name' attribute.
  See Also:
    `GenNode.getCreateCommandClassName()`
  ** Generated **

### getModelFacet

    public TypeModelFacet getModelFacet()

  Specified by:
    `getModelFacet` in interface `GenNode`
  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenNode.setModelFacet(TypeModelFacet)`, `GMFGenPackage.getGenNode_ModelFacet()`
  ** Generated **

### basicSetModelFacet

    public org.eclipse.emf.common.notify.NotificationChain basicSetModelFacet(TypeModelFacet newModelFacet,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setModelFacet

    public void setModelFacet(TypeModelFacet newModelFacet)

  Specified by:
    `setModelFacet` in interface `GenNode`
  Parameters:
    `newModelFacet` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenNode.getModelFacet()`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenChildContainerImpl`
  ** Generated **

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

### getAssistantNodes

    public org.eclipse.emf.common.util.EList<GenNode> getAssistantNodes()

  Description copied from class: `GenChildContainerImpl`

  Specified by:
    `getAssistantNodes` in interface `GenContainerBase`
  Overrides:
    `getAssistantNodes` in class `GenChildContainerImpl`

### getReorientedIncomingLinks

    public org.eclipse.emf.common.util.EList<GenLink> getReorientedIncomingLinks()

  Specified by:
    `getReorientedIncomingLinks` in interface `GenNode`
  Returns:
    the value of the 'Reoriented Incoming Links' reference list.
  See Also:
    `GMFGenPackage.getGenNode_ReorientedIncomingLinks()`
  ** Generated **
    NOT

### isSansDomain

    public boolean isSansDomain()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `isSansDomain` in interface `GenCommonBase`
  Specified by:
    `isSansDomain` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.